#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module  acme
Summary:	Python library for the ACME protocol
Summary(pl.UTF-8):	Biblioteka Pythona do protokołu ACME
Name:		python-%{module}
# keep 1.11.x here for python2 support; see python3-acme.spec for python3 versions
Version:	1.11.0
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/acme/
Source0:	https://files.pythonhosted.org/packages/source/a/acme/%{module}-%{version}.tar.gz
# Source0-md5:	2ea41be3043f0353587274ffbf01032f
URL:		https://pypi.org/project/acme/
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools >= 1:36.2
%if %{with doc} || %{with tests}
BuildRequires:	python-cryptography >= 1.2.3
BuildRequires:	python-josepy >= 1.1
BuildRequires:	python-pyOpenSSL >= 0.15.1
BuildRequires:	python-pyrfc3339
BuildRequires:	python-pytz
BuildRequires:	python-requests >= 2.6
BuildRequires:	python-requests-toolbelt >= 0.3
BuildRequires:	python-six >= 1.9
%endif
%if %{with tests}
BuildRequires:	python-mock
BuildRequires:	python-pytest
%endif
%if %{with doc}
BuildRequires:	python-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-2 >= 1.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Suggests:	python-acme-doc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python library for use of the Automatic Certificate Management
Environment protocol as defined by the IETF. It's used by the Let's
Encrypt project.

%description -l pl.UTF-8
Biblioteka Pythona do korzystania z protokołu Automatic Certificate
Management Environment (środowiska automatycznego zarządzania
certyfikatami) zdefiniowanego przez IETF. Jest używana przez projekt
Let's Encrypt.

%package doc
Summary:	Documentation for python-acme library
Summary(pl.UTF-8):	Dokumentacja do biblioteki python-acme
Group:		Documentation

%description doc
Documentation for the ACME Python library.

%description doc -l pl.UTF-8
Dokumentacja do biblioteki Pythona ACME.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}*.egg-info

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,api,man,*.html,*.js}
%endif
%changelog
* Wed Jan 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-acme.git;a=log;h=master

* Wed Jan 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 47d80ad
- run postclean

* Wed Jan 25 2023 Jakub Bogusz <qboosh@pld-linux.org> d96662b
- don't manually duplicate autogenerated dependencies

* Wed Jan 25 2023 Jakub Bogusz <qboosh@pld-linux.org> d94366f
- back to 1.11.0 (last version with python 2.7 support), epoch 1

* Wed Jan 25 2023 Jakub Bogusz <qboosh@pld-linux.org> e05b517
- pl, updated URLs

* Sat May 21 2022 Jan Rękorajski <baggins@pld-linux.org> 465cc2e
- up to 1.27.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d223565
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> dce9a5e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3e4b7b5
- rebuild with python 3.10

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 8a4b99a
- release 4 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> d1b2167
- update BRs

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 764a619
- release 3 (by relup.sh)

* Sun Mar 15 2020 Jan Rękorajski <baggins@pld-linux.org> 8d4a882
- release 2 (by relup.sh)

* Sat Feb 08 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 487bfed
- up to 1.2.0

* Sun Jul 29 2018 Jan Rękorajski <baggins@pld-linux.org> f9452c0
- remove leftovers of fedora cruft (don't unbundle something that does not exists in PLD)
- disable tests (test system cannot cope with build subdirs)
- rel 3

* Sun Jul 29 2018 Jan Rękorajski <baggins@pld-linux.org> a178670
- removed fedora junk from doc package
- rel 2

* Sun Jul 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5244685
- up to 0.26.0

* Fri Dec 04 2015 Elan Ruusamäe <glen@delfi.ee> 6851879
- pldize ndg httpsclient package name

* Fri Dec 04 2015 Elan Ruusamäe <glen@delfi.ee> 27c184a
- new, version 0.1.0

